2008-03-04 07:32 PM - springmeyer -

Status: Open

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11030

Description

The "Current Map Scale" window on the lower right of the QGIS application allows for user interaction to set the scale manually.

It would be great to hardcode the "Extents" coordinates in that same location. Currently they appear in the lower left as alternative text

when the user is using the map zoom or pan tools.

It seems reasonable to always have them showing, and perhaps they could appear as a toggled item between the coordinates of the

cursor location?

The great benefit of having them in a window that accepts text input would be the ability to copy the coordinates to the systems clipboard

for use in other programs. The ability to manually set the extents by copying text (likely comma delimited) would be a bonus.

If this switch were made it seems reasonable to me to reduce the precision of the coordinates significantly so that the text output would be

much smaller. Reporting the coordinates as long integers like the cursor coordinates would be great.

History

#1 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-07-02 09:25 AM - Antonio Locandro

It seems to be that this is partially enabled? You can toggle Coordinates/Extents so maybe just the precision needs to be updated to match that of

coordinates?

#5 - 2015-11-16 07:13 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- % Done changed from 0 to 80

- Assignee deleted (nobody -)

Hello, bug triage...

as of QGIS 2.13:
    -  there is a coordinates/extent lineEdit widget.

    -  You can copy and paste the extents in the clipboard.

    -  By default, extent coordinates don't have decimals.

The only thing that is not implemented is the manual modification of the extent.

#6 - 2015-12-17 12:55 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
